import { NgModule, ModuleWithProviders } from '@angular/core';
import { CommonModule } from '@angular/common';

import { FlexLayoutModule } from '@angular/flex-layout';

import { MatButtonModule } from '@angular/material/button';
import { MatIconModule } from '@angular/material/icon';

import { ListItemComponent } from './components/list-item.component';

const COMPONENTS = [ListItemComponent];

const SERVICES = [];

@NgModule({
  imports: [CommonModule, FlexLayoutModule, MatButtonModule, MatIconModule],
  exports: [...COMPONENTS],
  declarations: [...COMPONENTS]
})
export class UcapUiProfileModule {
  public static forRoot(): ModuleWithProviders<UcapUiProfileModule> {
    return {
      ngModule: UcapUiProfileModule,
      providers: [...SERVICES]
    };
  }
}
